Skip to main content
GET
List audit logs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

effective_at
object

Return only events whose effective_at (Unix seconds) is in this range.

project_ids[]
string[]

Return only events for these projects.

event_types[]
enum<string>[]

Return only events with a type in one of these values. For example, project.created. For all options, see the documentation for the audit log object.

The event type.

Available options:
api_key.created,
api_key.updated,
api_key.deleted,
checkpoint_permission.created,
checkpoint_permission.deleted,
invite.sent,
invite.accepted,
invite.deleted,
login.succeeded,
login.failed,
logout.succeeded,
logout.failed,
organization.updated,
project.created,
project.updated,
project.archived,
service_account.created,
service_account.updated,
service_account.deleted,
rate_limit.updated,
rate_limit.deleted,
user.added,
user.updated,
user.deleted
actor_ids[]
string[]

Return only events performed by these actors. Can be a user ID, a service account ID, or an api key tracking ID.

actor_emails[]
string[]

Return only events performed by users with these emails.

resource_ids[]
string[]

Return only events performed on these targets. For example, a project ID updated.

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

after
string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

before
string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

Response

200 - application/json

Audit logs listed successfully.

object
enum<string>
required
Available options:
list
data
object[]
required
first_id
string
required
Example:

"audit_log-defb456h8dks"

last_id
string
required
Example:

"audit_log-hnbkd8s93s"

has_more
boolean
required